- Main Page
- Modules
- Classes
- Files
- Directories

- File List
- File Members

# nedparser.h File Reference

`#include <stdio.h>`
`#include "nedgrammar.h"`
`#include "nedelement.h"`

Go to the source code of this file.

## Classes
class | NEDParser
| Parses NED files into a NED object tree. More...
## Defines
#define | TYPE_NUMERIC 'N'
#define | TYPE_CONST_NUM 'C'
#define | TYPE_STRING 'S'
#define | TYPE_BOOL 'B'
#define | TYPE_XML 'X'
#define | TYPE_ANYTYPE 'A'
## Variables
NEDParser * | np

## Define Documentation

#define TYPE_ANYTYPE 'A'

#define TYPE_BOOL 'B'

#define TYPE_CONST_NUM 'C'

#define TYPE_NUMERIC 'N'

#define TYPE_STRING 'S'

#define TYPE_XML 'X'

## Variable Documentation

NEDParser* np